> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregator swap rate



## OpenAPI

````yaml /openapi.json get /exchange/fx/rate
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/fx/rate:
    get:
      tags:
        - Swaps
      summary: Get aggregator swap rate
      operationId: Exchange.Web.SwapController.get_aggregator_rate
      parameters:
        - description: ''
          in: query
          name: source_currency
          required: true
          schema:
            description: Source currency for swap
            enum:
              - USD
              - NGN
              - GHS
              - CNY
              - KES
              - EUR
              - GBP
              - AUD
              - CAD
              - BTC
              - ETH
              - USDT
              - USDC
              - BUSD
              - SOL
              - DOGE
              - XRP
              - ADA
              - TRX
              - AVAX
            type: string
        - description: ''
          in: query
          name: target_currency
          required: true
          schema:
            description: Target currency for swap
            enum:
              - USD
              - NGN
              - GHS
              - CNY
              - KES
              - EUR
              - GBP
              - AUD
              - CAD
              - BTC
              - ETH
              - USDT
              - USDC
              - BUSD
              - SOL
              - DOGE
              - XRP
              - ADA
              - TRX
              - AVAX
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AggregatorSwapRateResponse'
          description: Aggregator Swap Rate
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    AggregatorSwapRateResponse:
      description: Response schema for a aggregator swap rate
      properties:
        data:
          $ref: '#/components/schemas/AggregatorSwapRate'
      title: AggregatorSwapRateResponse
      type: object
    AggregatorSwapRate:
      description: Response schema for swap rate
      example:
        id: 2f939fe5-fb7b-4234-8b73-761a848d13af
        rate: 1500
        source_currency: NGN
        target_currency: USD
        time_to_convert: 10
        time_to_lock: 30
        type: conversion
      properties:
        id:
          description: Aggregator swap rate Id
          type: string
        source_currency:
          description: Source currency
          type: string
        target_currency:
          description: Target currency
          type: string
        time_to_convert:
          description: How long this rate will last before before conversion, in seconds
          type: integer
        time_to_lock:
          description: How long this rate will last before locking, in seconds
          type: integer
        ttl:
          description: How long this rate will last before locking, in seconds
          type: integer
        type:
          description: Transaction description
          type: string
      title: AggregatorSwapRate
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````